<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Sprint 4</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #191c19;
        }

        .button2-container {
            display: flex;
            justify-content: left;
            align-items: left;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button2-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button2-container button:hover {
            background-color: #191c19;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: inline-block;
            margin: 10px;
            width: 150px;
        }

        img {
            max-width: 100%;
            border-radius: 10px;
            height: auto;
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>

</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button2-container">
        <button onclick="location.href='../sprints/index.html'">Voltar</button>
    </div>

    <hr>

    <div class="subsection">        
        <h2>Sprint 4 (10 de Junho - 22 de Julho)</h2>

        <p>
            Sprint de desenvolvimento do ground (instanciação de ações alcançáveis a partir do estado inicial).
            Parte mais importante do projeto em termos de eficiência do código, visto que implementações mais
            ingênuas ocasionam um crescimento de tempo exponencial.
            Foi uma sprint inevitavelmente mais longa, por conta da complexidade dessa etapa, além de não ser
            divisível em entregas menores.
        </p>

        <p>
            <b>Objetivos:</b>
            <ul>
                <li>Implementação do ground.</li>
                <li>Geração das seções faltantes no arquivo de saída: ações e proposições alcançáveis.</li>
                <li>Documentação das classes e métodos do código com docstrings.</li>
            </ul>
        </p>

        <p>
            <b>Entregas:</b>
            <ul>
                <li>Arquivo <i>src/parser_pddl.py</i>: implementação dos métodos de escrita, no arquivo
                    final, das ações e proposições alcançáveis.</li>
                <li>Arquivo <i>src/ground.py</i>: contém as funções que fazem a instanciação das ações
                    alcançáveis (ground).</li>
                <li>Arquivo <i>main.py</i>: recebe o input do usuário (arquivos com o domínio e o
                    problema em PDDL), define o arquivo de saída e instancia o Parser.</li>
            </ul>
        </p>

</body>
</html>